<html lang="en">
<head>
<title>Identifiers - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="prev" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="next" href="Key-and-reserved-words.html#Key-and-reserved-words" title="Key and reserved words">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Identifiers"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Key-and-reserved-words.html#Key-and-reserved-words">Key and reserved words</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Language-basics.html#Language-basics">Language basics</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Language-basics.html#Language-basics">Language basics</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.1.1 Identifiers</h4>

<p>Identifiers in <code>sketch</code> are references to earlier-defined
options, scalars, points, vectors, transforms, drawables, and tags. 
<a name="index-identifiers-170"></a>Definitions are explained in <a href="Definitions.html#Definitions">Definitions</a>.

   <p>An identifier consists of a leading letter followed by letters,
numbers and underscores.  The last character may <em>not</em> be an
underscore.  Keywords cannot be used as identifiers, and reserved
words ought to be avoided. See <a href="Key-and-reserved-words.html#Key-and-reserved-words">Key and reserved words</a>.

   </body></html>

